import { TextEditor } from '@kevisual/markdown-editor/tiptap/editor.ts';

import { useEffect, useRef } from 'react';
import { getSuggestionItems } from './suggestion/item';

export const MarkdownEditor = ({ onSave }: { onSave: () => void }) => {
  const ref = useRef<HTMLDivElement>(null);
  useEffect(() => {
    if (ref.current) {
      const editor = new TextEditor();
      editor.createEditor(ref.current, {
        markdown: '## Hello World',
        items: getSuggestionItems(),
      });
    }
  }, []);
  return <div className='w-full h-full' ref={ref}></div>;
};
