import { ChastHistoryMessage } from './type';

export const messagesDemo1: ChastHistoryMessage[] = [
  {
    role: 'user',
    content: '你好',
    name: '用户',
  },
  {
    role: 'assistant',
    content: '你好，我是AI助手，很高兴认识你！',
    name: 'AI',
  },
];

export const messagesDemo2: ChastHistoryMessage[] = [
  {
    role: 'user',
    content: '你能帮我解释一下什么是人工智能吗？',
    name: '用户',
  },
  {
    role: 'assistant',
    content:
      '人工智能（AI）是计算机科学的一个分支，致力于创建能够模拟人类智能行为的系统。这些系统可以学习、推理、感知环境、理解语言并解决问题。目前常见的AI应用包括语音助手、推荐系统、自动驾驶和自然语言处理等。需要了解更具体的AI领域吗？',
    name: 'AI助手',
  },
  {
    role: 'user',
    content: '机器学习和深度学习有什么区别？',
    name: '用户',
  },
  {
    role: 'assistant',
    content:
      '机器学习和深度学习的主要区别是：\n\n1. **机器学习**是AI的一个子集，使用统计方法让计算机系统通过数据"学习"并改进性能，无需明确编程。常见的机器学习算法包括决策树、支持向量机和随机森林等。\n\n2. **深度学习**是机器学习的一个子集，使用多层神经网络（称为深度神经网络）来模拟人脑的工作方式。它能自动从大量数据中提取特征，特别适合处理图像识别、自然语言处理等复杂任务。\n\n简单来说，深度学习是机器学习的一种高级形式，通过更复杂的模型结构处理更庞大的数据集。',
    name: 'AI助手',
  },
  {
    role: 'user',
    content: '你能给我写一个简单的Python函数来计算斐波那契数列吗？',
    name: '用户',
  },
  {
    role: 'assistant',
    content:
      '当然，这里有两种计算斐波那契数列的Python函数：\n\n```python\n# 递归方法（简单但效率较低）\ndef fibonacci_recursive(n):\n    if n <= 0:\n        return 0\n    elif n == 1:\n        return 1\n    else:\n        return fibonacci_recursive(n-1) + fibonacci_recursive(n-2)\n\n# 迭代方法（更高效）\ndef fibonacci_iterative(n):\n    if n <= 0:\n        return 0\n    elif n == 1:\n        return 1\n    \n    a, b = 0, 1\n    for _ in range(2, n+1):\n        a, b = b, a + b\n    return b\n```\n\n迭代方法在处理较大的n时效率更高，因为它避免了递归方法中的重复计算问题。',
    name: 'AI助手',
  },
  {
    role: 'user',
    content: '谢谢你的帮助！今天的天气真不错。',
    name: '用户',
  },
  {
    role: 'assistant',
    content:
      '不客气，很高兴能帮到你！确实，好天气总能让人心情愉快。如果你有任何其他问题，无论是关于编程、AI还是其他话题，都欢迎随时向我咨询。祝你度过美好的一天！',
    name: 'AI助手',
  },
];
