import { Button } from '@/components/a/button.tsx';
import { TextEditor } from '@kevisual/markdown-editor/tiptap/editor.ts';
import { Select } from '@/components/a/select.tsx';
import { useEffect, useRef, useState } from 'react';
import { getSuggestionItems } from '../ai-chat/editor/suggestion/item';
import { html2md } from '@kevisual/markdown-editor/tiptap/index.ts';
import { chatId } from '../ai-chat/utils/uuid';
import '../ai-chat/index.css';
export const App = (props: any) => {
  const ref = useRef<HTMLDivElement>(null);
  const editorRef = useRef<TextEditor | null>(null);
  useEffect(() => {
    if (ref.current) {
      editorRef.current = new TextEditor();
      editorRef.current.createEditor(ref.current, {
        items: getSuggestionItems(),
      });
    }
    return () => {
      if (ref.current && editorRef.current) {
        editorRef.current?.destroy?.();
      }
    };
  }, []);
  return (
    <div className='w-full h-full flex flex-col'>
      <div className='w-[600px] h-[400px] border border-gray-300 flex flex-col mx-auto'>
        <div className='w-full scrollbar' style={{ height: 'calc(100% - 90px)' }} ref={ref}></div>
      </div>
      <Button>发送</Button>
    </div>
  );
};
