import { Button as UiButton, ButtonProps } from '@/components/ui/button';
import { cn } from '@/lib/utils';
export const IconButton: typeof UiButton = (props) => {
  return <UiButton variant='ghost' size='icon' {...props} className={cn('h-8 w-8 cursor-pointer', props?.className)} />;
};

export const Button = (props: Parameters<typeof UiButton>[0]) => {
  return <UiButton variant='ghost' {...props} className={cn('cursor-pointer', props?.className)} />;
};

export const ButtonTextIcon = (props: ButtonProps & { icon: React.ReactNode }) => {
  return (
    <UiButton variant={'outline'} size='sm' {...props} className={cn('cursor-pointer flex items-center gap-2', props?.className)}>
      {props.icon}
      {props.children}
    </UiButton>
  );
};
