export const Divider = (props: { orientation?: 'horizontal' | 'vertical' }) => {
  const { orientation = 'horizontal' } = props;

  const dividerStyle: React.CSSProperties = {
    display: 'block',
    backgroundColor: '#e5e7eb', // 淡灰色分割线
    ...(orientation === 'horizontal'
      ? {
          width: '100%',
          height: '1px',
        }
      : {
          alignSelf: 'stretch',
          width: '1px',
          display: 'inline-block',
          margin: '2px 4px',
        }),
  };

  return <div style={dividerStyle} role='separator' aria-orientation={orientation} />;
};
