import { toast } from 'react-toastify';
import { Query, ClientQuery } from '@kevisual/query/query';
import { QueryLoginBrowser } from '@/query/query-login/query-login-browser';
import { toastLogin } from './toast/ToastLogin';
export const query = new Query();

export const clientQuery = new ClientQuery();

export const queryLogin = new QueryLoginBrowser({
  query: query as any,
});

query.beforeRequest = queryLogin.beforeRequest.bind(queryLogin);
query.afterResponse = async (res, ctx) => {
  const newRes = await queryLogin.run401Action(res, ctx, {
    afterAlso401: () => {
      toastLogin();
    },
    afterCheck: (res) => {
      console.log('afterCheck', res);
      if (res.code === 200) {
        toast.success('刷新登陆信息');
        setTimeout(() => {
          window.location.reload();
        }, 1000);
      }
    },
  });
  return newRes as any;
};
