import { QueryUtil } from '@/query/index.ts';

export const appDefine = QueryUtil.create({
  getApp: {
    path: 'app',
    key: 'get',
    description: '获取应用信息',
  },

  updateApp: {
    path: 'app',
    key: 'update',
    description: '更新应用信息',
  },

  deleteApp: {
    path: 'app',
    key: 'delete',
    description: '删除应用信息',
  },

  listApps: {
    path: 'app',
    key: 'list',
    description: '列出所有应用信息',
  },

  canUploadFiles: {
    path: 'app',
    key: 'canUploadFiles',
    description: '检查是否可以上传文件',
  },

  uploadFiles: {
    path: 'app',
    key: 'uploadFiles',
    description: '上传文件',
  },

  publishApp: {
    path: 'app',
    key: 'publish',
    description: '发布应用',
  },

  getMinioList: {
    path: 'app',
    key: 'get-minio-list',
    description: '获取 MinIO 文件列表',
  },

  detectVersionList: {
    path: 'app',
    key: 'detectVersionList',
    description: '检测版本列表并同步 MinIO 数据',
  },
  publicList: {
    path: 'app',
    key: 'public-list',
    description: '获取公开应用列表',
  },
});
