import { QueryUtil } from '@/query/index.ts';

export const userAppDefine = QueryUtil.create({
  listUserApps: {
    path: 'user-app',
    key: 'list',
    description: '列出当前用户的所有应用（不包含 data 字段）',
  },

  getUserApp: {
    path: 'user-app',
    key: 'get',
    description: '获取用户应用信息，可以指定 id 或 key',
  },

  updateUserApp: {
    path: 'user-app',
    key: 'update',
    description: '更新或创建用户应用',
  },

  deleteUserApp: {
    path: 'user-app',
    key: 'delete',
    description: '删除用户应用及关联数据',
  },

  testUserApp: {
    path: 'user-app',
    key: 'test',
    description: '对 user-app 的数据进行测试，获取版本信息',
  },
});
