import { QueryLogin, QueryLoginOpts } from './query-login.ts';
import { LoginNodeCache, StorageNode } from './login-node-cache.ts';
type QueryLoginNodeOptsWithoutCache = Omit<QueryLoginOpts, 'cache'>;
export const storage = new StorageNode();
await storage.loadCache();
export class QueryLoginNode extends QueryLogin {
  constructor(opts: QueryLoginNodeOptsWithoutCache) {
    super({
      ...opts,
      storage,
      cache: new LoginNodeCache(),
    });
  }
}
