import { QueryUtil } from '@/query/index.ts';

export const shopDefine = QueryUtil.create({
  getRegistry: {
    path: 'shop',
    key: 'get-registry',
    description: '获取应用商店注册表信息',
  },

  listInstalled: {
    path: 'shop',
    key: 'list-installed',
    description: '列出当前已安装的所有应用',
  },

  install: {
    path: 'shop',
    key: 'install',
    description: '安装指定的应用，可以指定 id、type、force 和 yes 参数',
  },

  uninstall: {
    path: 'shop',
    key: 'uninstall',
    description: '卸载指定的应用，可以指定 id 和 type 参数',
  },
});
